org.apache.lucene.facet.util

## Class PrintTaxonomyStats

- java.lang.Object
- - org.apache.lucene.facet.util.PrintTaxonomyStats

    public class PrintTaxonomyStats
    extends Object

Prints how many ords are under each dimension.

### Constructor Summary

Constructors
Constructor and Description
`PrintTaxonomyStats()`

### Method Summary

Methods
`static void` `main(String[] args)`
`static void` `printStats(TaxonomyReader r, PrintStream out, boolean printTree)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrintTaxonomyStats

    public PrintTaxonomyStats()

### Method Detail

#### main

    public static void main(String[] args)
                     throws IOException

Throws:
  `IOException`

#### printStats

    public static void printStats(TaxonomyReader r,
                  PrintStream out,
                  boolean printTree)
                           throws IOException

Throws:
  `IOException`